## net.sf.saxon.serialize
Class MessageEmitter

    java.lang.Object
      net.sf.saxon.serialize.Emitter
          net.sf.saxon.serialize.XMLEmitter
              net.sf.saxon.serialize.MessageEmitter

All Implemented Interfaces:
  Result, Receiver

    public class MessageEmitter

extends XMLEmitter

MessageEmitter is the default Receiver for xsl:message output. It is the same as XMLEmitter except for an extra newline at the end of the message

Field Summary

Fields inherited from class net.sf.saxon.serialize.XMLEmitter
`declarationIsWritten, elementCode, elementStack, openStartTag, preferHex, started, startedElement, undeclareNamespaces`

Fields inherited from class net.sf.saxon.serialize.Emitter
`allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`MessageEmitter()`

Method Summary
`void` `close()` End of the document.
`void` `endDocument()` Notify the end of a document node

Methods inherited from class net.sf.saxon.serialize.XMLEmitter
`attribute, characters, closeStartTag, comment, emptyElementTagCloser, endElement, getCachedName, namespace, open, openDocument, outputCharacterReference, processingInstruction, putCachedName, startContent, startDocument, startElement, testCharacters, usesTypeAnnotations, writeAttribute, writeCharSequence, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.serialize.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeOutputStream, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEmitter

    public MessageEmitter()

Method Detail

### endDocument

    public void endDocument()
                     throws XPathException

  Description copied from class: `XMLEmitter`
  Notify the end of a document node

  Specified by:
    `endDocument` in interface `Receiver`
  Overrides:
    `endDocument` in class `XMLEmitter`
  Throws:
    `XPathException`

### close

    public void close()
               throws XPathException

  Description copied from class: `XMLEmitter`
  End of the document.

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `XMLEmitter`
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.